#!/usr/bin/python
"""
Module to handle adjusting sodar data samples for missing data.

A list of sample data.

A sample: formattedDataObject[0] -> dictionary

A sample header: formattedDataObject[0]['header'] -> dictionary

A sample body: formattedDataObject[0]['body'] -> list of dictionaries

Altitude data from a sample: formattedDataObject[0]['body'][0] -> dictionary
"""

__author__ = 'Chris Calloway'
__email__ = 'cbc@unc.edu'
__copyright__ = 'Copyright 2007 UNC-CH Department of Marine Science'
__license__ = 'GPL2'

import numpy as n
import datetime
from sodar.remtech import rawData

class AdjustedData(list):
    pass